You are not logged in.

#26 2014-05-18 23:55:10

karol
Archivist
Registered: 2009-05-06
Posts: 25,427

Re: haskell update broken: any news?

Try running

pacman -S haskell-core/haskell-mime-types

Offline

#27 2014-05-19 01:05:56

donuon
Member
Registered: 2013-08-28
Posts: 31

Re: haskell update broken: any news?

Get a different set of errors.
pacman -Si for any of these also shows the newer version of haskell-text as a dependency. I've had no luck at figuring out where the bottleneck is.

warning: haskell-mime-types-0.1.0.4-2 is up to date -- reinstalling
resolving dependencies...
looking for inter-conflicts...
error: failed to prepare transaction (could not satisfy dependencies)
:: haskell-aeson: requires haskell-text=1.1.0.1-3
:: haskell-asn1-encoding: requires haskell-text=1.1.0.1-3
:: haskell-asn1-parse: requires haskell-text=1.1.0.1-3
:: haskell-attoparsec: requires haskell-text=1.1.0.1-3
:: haskell-blaze-builder: requires haskell-text=1.1.0.1-3
:: haskell-blaze-html: requires haskell-text=1.1.0.1-3
:: haskell-blaze-markup: requires haskell-text=1.1.0.1-3
:: haskell-case-insensitive: requires haskell-text=1.1.0.1-3
:: haskell-cookie: requires haskell-text=1.1.0.1-3
:: haskell-hashable: requires haskell-text=1.1.0.1-3
:: haskell-http-client: requires haskell-text=1.1.0.1-3
:: haskell-http-types: requires haskell-text=1.1.0.1-3
:: haskell-json: requires haskell-text=1.1.0.1-3
:: haskell-pandoc: requires haskell-text=1.1.0.1-3
:: haskell-parsec: requires haskell-text=1.1.0.1-3
:: haskell-publicsuffixlist: requires haskell-text=1.1.0.1-3
:: haskell-scientific: requires haskell-text=1.1.0.1-3
:: haskell-semigroups: requires haskell-text=1.1.0.1-3
:: haskell-streaming-commons: requires haskell-text=1.1.0.1-3
:: haskell-tagsoup: requires haskell-text=1.1.0.1-3
:: haskell-text-stream-decode: requires haskell-text=1.1.0.1-3
:: haskell-xml: requires haskell-text=1.1.0.1-3
:: haskell-yaml: requires haskell-text=1.1.0.1-3
:: haskell-zip-archive: requires haskell-text=1.1.0.1-3

Offline

#28 2014-05-19 09:37:01

karol
Archivist
Registered: 2009-05-06
Posts: 25,427

Re: haskell update broken: any news?

Can you temporarily remove haskell-mime-types?
Are you sure no other repo from your pacman.conf provides this package?

Offline

#29 2014-05-19 17:56:06

donuon
Member
Registered: 2013-08-28
Posts: 31

Re: haskell update broken: any news?

I got the system upgraded by first removing haskell-mime-types with 'pacman -Rdd' and then rerunning 'pacman -Syu'
The upgrade reinstalled the package itself so no need to do so manually.
The common theme here seems to be to force the removal of the packages that are blocking the upgrade and just verify they get reinstalled after the fact.

Offline

Board footer

Powered by FluxBB